vips-cpp: VSource Class Reference

vips-cpp 8.18 libvips C++ binding

Loading...
Searching...
No Matches
VSource Class Reference

`#include <VConnection8.h>`

Inheritance diagram for VSource:
[legend]
Collaboration diagram for VSource:
[legend]

## Public Member Functions
| VSource (VipsSource *input, VSteal steal=STEAL)
VipsSource * | get_source () const
Public Member Functions inherited from VObject
| VObject (VipsObject *new_vobject, VSteal steal=STEAL)
| VObject (const VObject &a)
VObject & | operator= (const VObject &a)
VipsObject * | get_object () const
bool | is_null () const

## Static Public Member Functions
static VSource | new_from_descriptor (int descriptor)
static VSource | new_from_file (const char *filename)
static VSource | new_from_blob (VipsBlob *blob)
static VSource | new_from_memory (const void *data, size_t size)
static VSource | new_from_options (const char *options)

## Detailed Description

A generic source object. These supply a stream of bytes that loaders can use to fetch image files, see VImage::new_from_source().

Methods let you can connect a source up to memory, a file or a file descriptor. Use vips::VSourceCustom to implement custom sources using GObject signals.

## Constructor & Destructor Documentation

## ◆ VSource()

VSource::VSource | ( | VipsSource * | input,
|  | VSteal | steal = STEAL )
| inlineexplicit

Wrap a VSource around an underlying VipsSource object.

## Member Function Documentation

## ◆ get_source()

VipsSource * VSource::get_source | ( |  | ) | const
| inline

Get a pointer to the underlying VipsSoure object.

## ◆ new_from_blob()

VSource VSource::new_from_blob | ( | VipsBlob * | blob | ) |
| static

Make a new VSource from a binary object.

## ◆ new_from_descriptor()

VIPS_NAMESPACE_START VSource VSource::new_from_descriptor | ( | int | descriptor | ) |
| static

Make a new VSource from a file descriptor.

## ◆ new_from_file()

VSource VSource::new_from_file | ( | const char * | filename | ) |
| static

Make a new VSource from a file on disc.

## ◆ new_from_memory()

VSource VSource::new_from_memory | ( | const void * | data,
|  | size_t | size )
| static

Make a new VSource from an area of memory.

## ◆ new_from_options()

VSource VSource::new_from_options | ( | const char * | options | ) |
| static

Make a new VSource from a set of options encoded as a string. See vips_source_new().

The documentation for this class was generated from the following files:

- /build/libvips/src/vips-8.18.6/cplusplus/include/vips/VConnection8.h
- /build/libvips/src/vips-8.18.6/cplusplus/VConnection.cpp